Summary:	Berkeley LOGO interpreter
Summary(pl.UTF-8):	Interpreter Berkeley LOGO
Name:		ucblogo
Version:	6.0
Release:	1
License:	GPL v2+
Group:		Development/Languages
Source0:	ftp://anarres.cs.berkeley.edu/pub/ucblogo/%{name}-%{version}.tar.gz
# Source0-md5:	36a56765b18136c817880c5381af196b
Patch0:		%{name}-signals.patch
Patch1:		%{name}-make.patch
Patch2:		%{name}-wx.patch
Patch3:		%{name}-lp64.patch
URL:		http://www.cs.berkeley.edu/~bh/logo.html
BuildRequires:	ncurses-devel
BuildRequires:	wxGTK2-unicode-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Berkeley Logo interpreter for Unix and X. Features *not* found in
Berkeley Logo include robotics, music, GUIs, animation, parallelism,
and multimedia. For those, buy a commercial version.

%description -l pl.UTF-8
Interpreter Berkeley Logo dla Unika i X. Możliwości, których nie ma
Berkeley Logo to m.in. robotyka, muzyka, GUI, animacje, równoległość,
multimedia. Dla nich kup komercyjną wersję.

%package examples
Summary:	Example LOGO programs for the Berkeley LOGO interpreter
Summary(pl.UTF-8):	Przykłady programów w LOGO dla interpretera Berkeley LOGO
Group:		Development/Languages
Requires:	%{name}

%description examples
This package contains example LOGO programs, eg solitaire, poker, plot
and many others.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy w LOGO, m.in. pasjans, poker,
plot i wiele innych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__rm} -r csls/CVS

%build
# configure is manually hacked for wx support
export ac_cv_lib_termcap_tgetstr=no
export ac_cv_lib_termlib_tgetstr=no
%configure2_13 \
	--with-x \
	--wx-config_path=%{_bindir}/wx-gtk2-unicode-config \
	--wx-enable
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install csls/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_datadir}/logo/docs/usermanual.{ps,texi}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README TODO changes.txt newtermnotes plm usermanual
%attr(755,root,root) %{_bindir}/logo
%{_infodir}/ucblogo.info*
%{_datadir}/logo

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun May 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ucblogo.git;a=log;h=master

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 173b5aa
- added lp64 patch (fixes build on LP64 platforms, like x86_64)

* Thu May 16 2013 Jakub Bogusz <qboosh@pld-linux.org> e3057e6
- updated to 6.0
- updated make patch
- added wx patch (fixes build with unicode wxWidgets)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 7719d61
- package only info files from %{_infodir} (do not package %{_infodir}/dir)

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> d0a3a73
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab30955
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f4208b8
- converted to UTF-8

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> 51f42e0
- sorted BRs

* Mon Dec 13 2004 Roman Werpachowski <roman.werpachowski@gmail.com> 33efce9
- revert makeinstall change

* Sun Dec 12 2004 Roman Werpachowski <roman.werpachowski@gmail.com> c3b5793
- -s/%{__make} install/%{makeinstall}

* Tue Dec 23 2003 misi3k <misi3k@pld-linux.org> 68221ec
- updated to 5.3

* Wed May 28 2003 Michal Moskal <michal@moskal.me> afaafbf
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9135a2a
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> bc9c86f
- updated to 5.2 version
- added emacs to BuildRequires:
- added %%doc section
STBR

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> 38619a2
- finally, works!

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> 1d69685
- small fix

* Tue Dec 10 2002 Roman Werpachowski <roman.werpachowski@gmail.com> d79bfac
- updated to 5.2 version
- made emacs/makefile FHS correct (hopefully)

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 98149b7
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Thu Apr 25 2002 ankry <ankry@pld-linux.org> d3e762a
- fixed patch1 name

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 722dafd
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 5a22c52
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

